{{- $fullName := include "app-web.fullname" . -}}
{{- $labels := include "app-web.labels" . -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "app-web.selectorLabels" . | nindent 4 }}
spec:
  replicas: {{ .Values.appWeb.replicaCount }}
  selector:
    matchLabels:
      {{- include "app-web.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "app-web.selectorLabels" . | nindent 8 }}
    spec:
      containers:
        - name: {{ $fullName }}
          image: "{{ .Values.appWeb.image.repository }}:{{ .Values.appWeb.image.tag }}"
          imagePullPolicy: {{ .Values.appWeb.image.pullPolicy }}
          ports:
            - name: http
              containerPort: {{ .Values.appWeb.service.targetPort }}
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
            initialDelaySeconds: 60
            timeoutSeconds: 3
          readinessProbe:
            httpGet:
              path: /
              port: http
            initialDelaySeconds: 60
            timeoutSeconds: 3
          resources:
{{ toYaml .Values.appWeb.resources | nindent 12 }}